# My devcontainer

Container for distrobox that I use for development that is based on fedora-toolbox image.

## Installed Tools
- **System Utilities**: `duf`, `fd-find`, `fish`, `fzf`, `htop`, `ncdu`, `tmux`, `vim`, `zstd`, `ipcalc`, `sdcv`, `tldr`, `jq`, `genius`, `pwgen`, `httpie`, `ripgrep`, `lsd`
- **Development Tools**:
  - **Languages**: `golang`, `nodejs`, `python3-devel`
  - **Database Clients**: `mycli`, `pgcli`
  - **Version Control**: `git-lfs`
  - **Cloud Tools**: `awscli`
  - **Build Tools**: `make`
  - **Editor**: Visual Studio Code (`code`)

## Custom User
- A user `cx` is preconfigured with:
  - UID: `1000`
  - GID: `1000`
  - Default shell: `fish`

## Podman and Docker Compatibility
- Podman and Docker commands are aliased to a custom script (`uni.sh`) for seamless container management.

## Incus Support
- Includes Incus link to the host's instance of Incus.


## Usage

Including systemd:

```
distrobox create -i gitea.ceperka.net/cx/devcontainer:f42-latest -n drone --hostname drone --init
```

No systemd:

```
distrobox create -i gitea.ceperka.net/cx/devcontainer:f42-latest -n drone --hostname drone
```
